< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package stub
  Definition Classes
    hmrc
-  package dynamic
  Definition Classes
    stub
-  package repository
  Definition Classes
    dynamic
- DynamicTestDataRepository
- ExpectationMongo
- ExpectationSave
- FieldOp
- FieldUpdates
- SetOnInsertOp
- SetOp
- UnsetOp

c

uk.gov.hmrc.stub.dynamic.repository

# DynamicTestDataRepository 

###

#### class DynamicTestDataRepository extends ReactiveRepository[ExpectationSave, BSONObjectID] with BSONBuilderHelpers

Annotations
  @Singleton()

Linear Supertypes
BSONBuilderHelpers, ReactiveRepository[ExpectationSave, BSONObjectID], CurrentTime, CollectionName, MongoDb, Indexes, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DynamicTestDataRepository
2. BSONBuilderHelpers
3. ReactiveRepository
4. CurrentTime
5. CollectionName
6. MongoDb
7. Indexes
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DynamicTestDataRepository()(implicit mongo: ReactiveMongoComponent)
   Annotations
     @Inject()

### Type Members

1.  class BulkInsertRejected extends Exception
   Definition Classes
     ReactiveRepository

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val _Id: String
   Attributes
     protected
   Definition Classes
     ReactiveRepository
5.  def _id(id: BSONObjectID): JsObject
   Attributes
     protected
   Definition Classes
     ReactiveRepository
6.  def add(uri: Seq[URI], expectation: ExpectationMongo)(implicit ec: ExecutionContext): Future[Option[ExpectationSave]]
7.  def addToSet(value: BSONDocument): BSONDocument
   Definition Classes
     BSONBuilderHelpers
8.  def and(search: BSONDocument*): BSONDocument
   Definition Classes
     BSONBuilderHelpers
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def bulkInsert(entities: Seq[ExpectationSave])(implicit ec: ExecutionContext): Future[MultiBulkWriteResult]
    Definition Classes
      ReactiveRepository
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
12.  lazy val collection: JSONCollection
    Definition Classes
      ReactiveRepository
13.  val collectionName: String
    Attributes
      protected[mongo]
    Definition Classes
      ReactiveRepository → CollectionName
14.  def count(query: JsObject, readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[Int]
    Definition Classes
      ReactiveRepository
15.  def count(implicit ec: ExecutionContext): Future[Int]
    Definition Classes
      ReactiveRepository
16.  implicit val domainFormatImplicit: Format[ExpectationSave]
    Definition Classes
      ReactiveRepository
17.  def drop(implicit ec: ExecutionContext): Future[Boolean]
    Definition Classes
      ReactiveRepository
18.  def ensureIndexes(implicit ec: ExecutionContext): Future[Seq[Boolean]]
    Definition Classes
      DynamicTestDataRepository → ReactiveRepository
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
22.  def find(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[List[ExpectationSave]]
    Definition Classes
      ReactiveRepository
23.  def findAll(readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[List[ExpectationSave]]
    Definition Classes
      ReactiveRepository
24.  def findAndUpdate(query: JsObject, update: JsObject, fetchNewObject: Boolean, upsert: Boolean, sort: Option[JsObject], fields: Option[JsObject], bypassDocumentValidation: Boolean, writeConcern: WriteConcern, maxTime: Option[FiniteDuration], collation: Option[Collation], arrayFilters: Seq[JsObject])(implicit ec: ExecutionContext): Future[Result[pack.type]]
    Definition Classes
      ReactiveRepository
25.  def findById(id: BSONObjectID, readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[Option[ExpectationSave]]
    Definition Classes
      ReactiveRepository
26.  def findByIdAndUri(id: String, uri: String)(implicit ec: ExecutionContext): Future[Option[ExpectationSave]]
27.  def findByTestId(testId: String): JsObject
    Attributes
      protected
28.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  implicit val idFormatImplicit: Format[BSONObjectID]
    Definition Classes
      ReactiveRepository
31.  def indexes: Seq[Index]
    Definition Classes
      Indexes
32.  def insert(entity: ExpectationSave)(implicit ec: ExecutionContext): Future[WriteResult]
    Definition Classes
      ReactiveRepository
33.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
34.  val logger: Logger
    Attributes
      protected[this]
    Definition Classes
      ReactiveRepository
35.  val message: String
    Definition Classes
      ReactiveRepository
36.  val mongo: () ⇒ DB
    Attributes
      protected[mongo]
    Definition Classes
      ReactiveRepository → MongoDb
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  def or(search: BSONDocument*): BSONDocument
    Definition Classes
      BSONBuilderHelpers
41.  def remove(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[WriteResult]
    Definition Classes
      ReactiveRepository
42.  def removeAll(writeConcern: WriteConcern)(implicit ec: ExecutionContext): Future[WriteResult]
    Definition Classes
      ReactiveRepository
43.  def removeById(id: String)(implicit ec: ExecutionContext): Future[WriteResult]
44.  def removeById(id: BSONObjectID, writeConcern: WriteConcern)(implicit ec: ExecutionContext): Future[WriteResult]
    Definition Classes
      ReactiveRepository
45.  def set(value: BSONDocument): BSONDocument
    Definition Classes
      BSONBuilderHelpers
46.  def setOnInsert(value: BSONDocument): BSONDocument
    Definition Classes
      BSONBuilderHelpers
47.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
48.  def toString(): String
    Definition Classes
      AnyRef → Any
49.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
50.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
51.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
52.  def withCurrentTime[A](f: (DateTime) ⇒ A): A
    Definition Classes
      CurrentTime
53.  lazy val zone: DateTimeZone
    Attributes
      protected
    Definition Classes
      CurrentTime

### Deprecated Value Members

1.  def save(entity: ExpectationSave)(implicit ec: ExecutionContext): Future[WriteResult]
   Definition Classes
     ReactiveRepository
   Annotations
     @deprecated
   Deprecated

     (Since version 3.0.1) use ReactiveRepository#insert() instead

### Inherited from BSONBuilderHelpers

### Inherited from ReactiveRepository[ExpectationSave, BSONObjectID]

### Inherited from CurrentTime

### Inherited from CollectionName

### Inherited from MongoDb

### Inherited from Indexes

### Inherited from AnyRef

### Inherited from Any

### Ungrouped